#include <kdialog.h>
#include <klocale.h>

#ifndef UI_CODEVIEWEROPTIONSBASE_H
#define UI_CODEVIEWEROPTIONSBASE_H

#include <qvariant.h>


#include <Qt3Support/Q3GroupBox>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QGridLayout>
#include <QtGui/QLabel>
#include <QtGui/QWidget>
#include "kcolorbutton.h"
#include <kfontdialog.h>

class Ui_CodeViewerOptionsBase
{
public:
    QGridLayout *gridLayout;
    KFontChooser *fontChooser;
    Q3GroupBox *colorGroupBox;
    QGridLayout *gridLayout1;
    QGridLayout *gridLayout2;
    QLabel *fontLabel;
    KColorButton *selectColorButton;
    QLabel *paperLabel;
    KColorButton *paperColorButton;
    QLabel *selectedLabel;
    KColorButton *fontColorButton;
    QGridLayout *gridLayout3;
    KColorButton *nonEditBlockColorButton;
    QGridLayout *gridLayout4;
    KColorButton *m_hiddenBlockColorButton;
    KColorButton *umlObjectColorButton;
    QLabel *textLabel1;
    QLabel *textLabel1_2;
    QLabel *textLabel2;
    KColorButton *editBlockColorButton;
    QLabel *textLabel3;

    void setupUi(QWidget *CodeViewerOptionsBase)
    {
    CodeViewerOptionsBase->setObjectName(QString::fromUtf8("CodeViewerOptionsBase"));
    gridLayout = new QGridLayout(CodeViewerOptionsBase);
    gridLayout->setSpacing(6);
    gridLayout->setMargin(11);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    fontChooser = new KFontChooser(CodeViewerOptionsBase);
    fontChooser->setObjectName(QString::fromUtf8("fontChooser"));
    QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(1), static_cast<QSizePolicy::Policy>(3));
    sizePolicy.setHorizontalStretch(0);
    sizePolicy.setVerticalStretch(0);
    sizePolicy.setHeightForWidth(fontChooser->sizePolicy().hasHeightForWidth());
    fontChooser->setSizePolicy(sizePolicy);

    gridLayout->addWidget(fontChooser, 0, 0, 1, 1);

    colorGroupBox = new Q3GroupBox(CodeViewerOptionsBase);
    colorGroupBox->setObjectName(QString::fromUtf8("colorGroupBox"));
    QSizePolicy sizePolicy1(static_cast<QSizePolicy::Policy>(5), static_cast<QSizePolicy::Policy>(0));
    sizePolicy1.setHorizontalStretch(0);
    sizePolicy1.setVerticalStretch(0);
    sizePolicy1.setHeightForWidth(colorGroupBox->sizePolicy().hasHeightForWidth());
    colorGroupBox->setSizePolicy(sizePolicy1);
    colorGroupBox->setColumnLayout(0, Qt::Vertical);
    colorGroupBox->layout()->setSpacing(6);
    colorGroupBox->layout()->setMargin(0);
    gridLayout1 = new QGridLayout(colorGroupBox->layout());
    gridLayout1->setAlignment(Qt::AlignTop);
    gridLayout1->setObjectName(QString::fromUtf8("gridLayout1"));
    gridLayout1->setMargin(0);
    gridLayout2 = new QGridLayout();
    gridLayout2->setSpacing(6);
    gridLayout2->setMargin(0);
    gridLayout2->setObjectName(QString::fromUtf8("gridLayout2"));
    fontLabel = new QLabel(colorGroupBox);
    fontLabel->setObjectName(QString::fromUtf8("fontLabel"));
    QSizePolicy sizePolicy2(static_cast<QSizePolicy::Policy>(1), static_cast<QSizePolicy::Policy>(5));
    sizePolicy2.setHorizontalStretch(0);
    sizePolicy2.setVerticalStretch(0);
    sizePolicy2.setHeightForWidth(fontLabel->sizePolicy().hasHeightForWidth());
    fontLabel->setSizePolicy(sizePolicy2);
    fontLabel->setWordWrap(false);

    gridLayout2->addWidget(fontLabel, 0, 2, 1, 1);

    selectColorButton = new KColorButton(colorGroupBox);
    selectColorButton->setObjectName(QString::fromUtf8("selectColorButton"));
    selectColorButton->setColor(QColor(255, 255, 127));

    gridLayout2->addWidget(selectColorButton, 0, 5, 1, 1);

    paperLabel = new QLabel(colorGroupBox);
    paperLabel->setObjectName(QString::fromUtf8("paperLabel"));
    QSizePolicy sizePolicy3(static_cast<QSizePolicy::Policy>(1), static_cast<QSizePolicy::Policy>(5));
    sizePolicy3.setHorizontalStretch(0);
    sizePolicy3.setVerticalStretch(0);
    sizePolicy3.setHeightForWidth(paperLabel->sizePolicy().hasHeightForWidth());
    paperLabel->setSizePolicy(sizePolicy3);
    paperLabel->setWordWrap(false);

    gridLayout2->addWidget(paperLabel, 0, 0, 1, 1);

    paperColorButton = new KColorButton(colorGroupBox);
    paperColorButton->setObjectName(QString::fromUtf8("paperColorButton"));
    paperColorButton->setColor(QColor(255, 255, 255));

    gridLayout2->addWidget(paperColorButton, 0, 1, 1, 1);

    selectedLabel = new QLabel(colorGroupBox);
    selectedLabel->setObjectName(QString::fromUtf8("selectedLabel"));
    QSizePolicy sizePolicy4(static_cast<QSizePolicy::Policy>(1), static_cast<QSizePolicy::Policy>(5));
    sizePolicy4.setHorizontalStretch(0);
    sizePolicy4.setVerticalStretch(0);
    sizePolicy4.setHeightForWidth(selectedLabel->sizePolicy().hasHeightForWidth());
    selectedLabel->setSizePolicy(sizePolicy4);
    selectedLabel->setWordWrap(false);

    gridLayout2->addWidget(selectedLabel, 0, 4, 1, 1);

    fontColorButton = new KColorButton(colorGroupBox);
    fontColorButton->setObjectName(QString::fromUtf8("fontColorButton"));
    QSizePolicy sizePolicy5(static_cast<QSizePolicy::Policy>(1), static_cast<QSizePolicy::Policy>(0));
    sizePolicy5.setHorizontalStretch(0);
    sizePolicy5.setVerticalStretch(0);
    sizePolicy5.setHeightForWidth(fontColorButton->sizePolicy().hasHeightForWidth());
    fontColorButton->setSizePolicy(sizePolicy5);
    fontColorButton->setColor(QColor(0, 0, 0));

    gridLayout2->addWidget(fontColorButton, 0, 3, 1, 1);


    gridLayout1->addLayout(gridLayout2, 0, 0, 1, 1);

    gridLayout3 = new QGridLayout();
    gridLayout3->setSpacing(6);
    gridLayout3->setMargin(0);
    gridLayout3->setObjectName(QString::fromUtf8("gridLayout3"));
    nonEditBlockColorButton = new KColorButton(colorGroupBox);
    nonEditBlockColorButton->setObjectName(QString::fromUtf8("nonEditBlockColorButton"));
    QSizePolicy sizePolicy6(static_cast<QSizePolicy::Policy>(0), static_cast<QSizePolicy::Policy>(0));
    sizePolicy6.setHorizontalStretch(0);
    sizePolicy6.setVerticalStretch(0);
    sizePolicy6.setHeightForWidth(nonEditBlockColorButton->sizePolicy().hasHeightForWidth());
    nonEditBlockColorButton->setSizePolicy(sizePolicy6);
    nonEditBlockColorButton->setColor(QColor(213, 213, 213));

    gridLayout3->addWidget(nonEditBlockColorButton, 1, 3, 1, 1);

    gridLayout4 = new QGridLayout();
    gridLayout4->setSpacing(6);
    gridLayout4->setMargin(0);
    gridLayout4->setObjectName(QString::fromUtf8("gridLayout4"));
    m_hiddenBlockColorButton = new KColorButton(colorGroupBox);
    m_hiddenBlockColorButton->setObjectName(QString::fromUtf8("m_hiddenBlockColorButton"));
    QSizePolicy sizePolicy7(static_cast<QSizePolicy::Policy>(0), static_cast<QSizePolicy::Policy>(0));
    sizePolicy7.setHorizontalStretch(0);
    sizePolicy7.setVerticalStretch(0);
    sizePolicy7.setHeightForWidth(m_hiddenBlockColorButton->sizePolicy().hasHeightForWidth());
    m_hiddenBlockColorButton->setSizePolicy(sizePolicy7);
    m_hiddenBlockColorButton->setColor(QColor(166, 254, 248));

    gridLayout4->addWidget(m_hiddenBlockColorButton, 0, 3, 1, 1);

    umlObjectColorButton = new KColorButton(colorGroupBox);
    umlObjectColorButton->setObjectName(QString::fromUtf8("umlObjectColorButton"));
    QSizePolicy sizePolicy8(static_cast<QSizePolicy::Policy>(0), static_cast<QSizePolicy::Policy>(0));
    sizePolicy8.setHorizontalStretch(0);
    sizePolicy8.setVerticalStretch(0);
    sizePolicy8.setHeightForWidth(umlObjectColorButton->sizePolicy().hasHeightForWidth());
    umlObjectColorButton->setSizePolicy(sizePolicy8);
    umlObjectColorButton->setColor(QColor(255, 170, 255));

    gridLayout4->addWidget(umlObjectColorButton, 0, 1, 1, 1);

    textLabel1 = new QLabel(colorGroupBox);
    textLabel1->setObjectName(QString::fromUtf8("textLabel1"));
    QSizePolicy sizePolicy9(static_cast<QSizePolicy::Policy>(1), static_cast<QSizePolicy::Policy>(5));
    sizePolicy9.setHorizontalStretch(0);
    sizePolicy9.setVerticalStretch(0);
    sizePolicy9.setHeightForWidth(textLabel1->sizePolicy().hasHeightForWidth());
    textLabel1->setSizePolicy(sizePolicy9);
    textLabel1->setWordWrap(false);

    gridLayout4->addWidget(textLabel1, 0, 0, 1, 1);

    textLabel1_2 = new QLabel(colorGroupBox);
    textLabel1_2->setObjectName(QString::fromUtf8("textLabel1_2"));
    QSizePolicy sizePolicy10(static_cast<QSizePolicy::Policy>(1), static_cast<QSizePolicy::Policy>(5));
    sizePolicy10.setHorizontalStretch(0);
    sizePolicy10.setVerticalStretch(0);
    sizePolicy10.setHeightForWidth(textLabel1_2->sizePolicy().hasHeightForWidth());
    textLabel1_2->setSizePolicy(sizePolicy10);
    textLabel1_2->setWordWrap(false);

    gridLayout4->addWidget(textLabel1_2, 0, 2, 1, 1);


    gridLayout3->addLayout(gridLayout4, 0, 0, 1, 4);

    textLabel2 = new QLabel(colorGroupBox);
    textLabel2->setObjectName(QString::fromUtf8("textLabel2"));
    QSizePolicy sizePolicy11(static_cast<QSizePolicy::Policy>(1), static_cast<QSizePolicy::Policy>(5));
    sizePolicy11.setHorizontalStretch(0);
    sizePolicy11.setVerticalStretch(0);
    sizePolicy11.setHeightForWidth(textLabel2->sizePolicy().hasHeightForWidth());
    textLabel2->setSizePolicy(sizePolicy11);
    textLabel2->setWordWrap(false);

    gridLayout3->addWidget(textLabel2, 1, 2, 1, 1);

    editBlockColorButton = new KColorButton(colorGroupBox);
    editBlockColorButton->setObjectName(QString::fromUtf8("editBlockColorButton"));
    QSizePolicy sizePolicy12(static_cast<QSizePolicy::Policy>(0), static_cast<QSizePolicy::Policy>(0));
    sizePolicy12.setHorizontalStretch(0);
    sizePolicy12.setVerticalStretch(0);
    sizePolicy12.setHeightForWidth(editBlockColorButton->sizePolicy().hasHeightForWidth());
    editBlockColorButton->setSizePolicy(sizePolicy12);
    editBlockColorButton->setColor(QColor(255, 170, 255));

    gridLayout3->addWidget(editBlockColorButton, 1, 1, 1, 1);

    textLabel3 = new QLabel(colorGroupBox);
    textLabel3->setObjectName(QString::fromUtf8("textLabel3"));
    QSizePolicy sizePolicy13(static_cast<QSizePolicy::Policy>(1), static_cast<QSizePolicy::Policy>(5));
    sizePolicy13.setHorizontalStretch(0);
    sizePolicy13.setVerticalStretch(0);
    sizePolicy13.setHeightForWidth(textLabel3->sizePolicy().hasHeightForWidth());
    textLabel3->setSizePolicy(sizePolicy13);
    textLabel3->setWordWrap(false);

    gridLayout3->addWidget(textLabel3, 1, 0, 1, 1);


    gridLayout1->addLayout(gridLayout3, 1, 0, 1, 1);


    gridLayout->addWidget(colorGroupBox, 1, 0, 1, 1);


    retranslateUi(CodeViewerOptionsBase);

    QSize size(486, 545);
    size = size.expandedTo(CodeViewerOptionsBase->minimumSizeHint());
    CodeViewerOptionsBase->resize(size);


    QMetaObject::connectSlotsByName(CodeViewerOptionsBase);
    } // setupUi

    void retranslateUi(QWidget *CodeViewerOptionsBase)
    {
    colorGroupBox->setTitle(tr2i18n("Colors", 0));
    fontLabel->setText(tr2i18n("Font:", 0));
    selectColorButton->setText(QString());
    paperLabel->setText(tr2i18n("Paper:", 0));
    paperColorButton->setText(QString());
    selectedLabel->setText(tr2i18n("Selected:", 0));
    fontColorButton->setText(QString());
    nonEditBlockColorButton->setText(QString());
    m_hiddenBlockColorButton->setText(QString());
    umlObjectColorButton->setText(QString());
    textLabel1->setText(tr2i18n("<p align=\"right\">UML object block:</p>", 0));
    textLabel1_2->setText(tr2i18n("<p align=\"right\">Hidden block:</p>", 0));
    textLabel2->setText(tr2i18n("<p align=\"right\">Uneditable text:</p>", 0));
    editBlockColorButton->setText(QString());
    textLabel3->setText(tr2i18n("<p align=\"right\">Editable text:</p>", 0));
    Q_UNUSED(CodeViewerOptionsBase);
    } // retranslateUi


protected:
    enum IconID
    {
        image0_ID,
        unknown_ID
    };
    static QPixmap icon(IconID id)
    {
    static const char* const img0_codevieweroptionsbase[] = { 
"22 22 210 2",
"Qt c None",
".# c #000000",
".S c #020202",
"#i c #020204",
"#a c #020206",
"## c #020208",
".1 c #02020a",
".R c #02020c",
".T c #02020d",
"aA c #040202",
"aa c #040206",
"#y c #04020c",
"aB c #040404",
"at c #04040c",
"#h c #04040d",
".h c #060606",
"aM c #08060c",
"am c #0a0808",
".2 c #0d0f10",
"#z c #101012",
"al c #101213",
"#7 c #121212",
"aV c #13150c",
"an c #13150d",
"#P c #151612",
"az c #151812",
"aX c #151d0f",
"bp c #161904",
"#u c #161912",
"#5 c #161c13",
".5 c #181c13",
"#8 c #1a1a16",
"aU c #1a1c10",
"#Y c #1c1d16",
"#9 c #1c2210",
"ak c #1c2212",
"aW c #1e2513",
"ae c #212616",
"aN c #222715",
".U c #222815",
"#G c #282d13",
"aI c #283015",
"#l c #2a2f13",
"bc c #2a3107",
"bo c #2a3108",
".Q c #2b3115",
"#O c #2b3315",
"#D c #2c321a",
"#K c #2f331a",
".3 c #2f3418",
"#V c #313918",
".4 c #313a19",
".w c #374109",
".g c #383838",
"a# c #383f19",
"aL c #383f1a",
"#E c #404c18",
"ah c #424e19",
"#m c #454e1c",
"#b c #454f1d",
".L c #4c590c",
".6 c #4f5b1d",
"aH c #50591d",
"aJ c #505b1d",
"#R c #505c1d",
"#6 c #516120",
"be c #525f0f",
".9 c #52600d",
"aK c #53611e",
"bf c #53620d",
"bd c #53620e",
"#1 c #536221",
"#r c #53631e",
".Y c #54620e",
"aZ c #55630e",
"bn c #556310",
"bg c #56640f",
"aC c #566520",
"#w c #57650f",
"bh c #59680f",
".0 c #59681c",
"#I c #5a690f",
"af c #5a6922",
"bi c #5b6a10",
"#g c #5b6a22",
"#T c #5b6b11",
"#2 c #5c6a22",
"bj c #5d6c13",
"aE c #5d6d0e",
"bl c #5d6d10",
"#3 c #5d6d13",
"a7 c #5e6a22",
"#S c #5e6b1e",
"ap c #5e6d0f",
"bk c #5e6d11",
".f c #5f5f5f",
"a6 c #5f6a20",
"ac c #5f6e11",
"bm c #617110",
"aP c #617210",
"#t c #647322",
"au c #647423",
"#J c #64761a",
"#U c #657420",
".E c #657520",
".D c #65761a",
"aT c #667227",
"#j c #667326",
".V c #677922",
"as c #6a7622",
".e c #6d6d6d",
"#. c #6e7d20",
".P c #6e7d21",
"a5 c #768822",
"#4 c #768921",
"a8 c #778728",
"#H c #778823",
"ab c #778828",
"#x c #778921",
".F c #778925",
".C c #778a21",
"ai c #788925",
".d c #7a7a7a",
".a c #7b7b7b",
".N c #88a213",
"#c c #899c20",
".Z c #89a016",
".z c #89a018",
"#X c #8ca326",
".y c #8da321",
".B c #8da41e",
"#q c #8da426",
"ay c #8fa332",
"a. c #8fa431",
"aj c #90a42c",
"#Z c #90a62a",
".A c #90a916",
".O c #90a91c",
"ad c #91a91d",
".G c #91aa1e",
"#C c #91aa22",
"#N c #92a926",
"aY c #92ab29",
"ba c #92ab2a",
".c c #939393",
".v c #94a53e",
"bb c #96af1d",
"#f c #96b028",
"aF c #97b01a",
".I c #97b119",
"a0 c #97b11a",
".J c #97b21a",
"b# c #97b22a",
".K c #98b11a",
"aO c #98b22b",
"#o c #99b415",
"#A c #99b512",
"#L c #9ab121",
"#d c #9ab221",
"a4 c #9bb028",
"#n c #9bb322",
"a1 c #9bb51c",
"ar c #9cb51a",
".H c #9cb61a",
".X c #9cb71a",
"#v c #9db12a",
"aR c #9db519",
"#B c #9db815",
"#M c #9db915",
"#W c #9db91e",
".W c #9eb825",
"#p c #9eba13",
"#e c #9eba1e",
".x c #9fb046",
"ag c #9fb92b",
"a2 c #9fba1d",
"a9 c #a0b827",
"#s c #a0ba2c",
".8 c #a0bb19",
".b c #a1a1a1",
"aG c #a1b425",
"ao c #a1b927",
"aS c #a1ba21",
".7 c #a1bb20",
"av c #a3bd2c",
"#F c #a3bd2d",
"a3 c #a9c223",
"#k c #aac428",
"aw c #adcb22",
"#Q c #aecc25",
".l c #afbe63",
".m c #b0bf64",
".n c #b1c164",
"ax c #b2d41d",
"#0 c #b2d420",
".k c #b4c170",
"aQ c #b4c55d",
".u c #b4c65d",
".M c #b5c170",
".o c #b5c564",
".j c #b7c18b",
"aq c #b7c664",
".s c #b7c764",
".p c #b7c765",
".t c #b7c865",
".i c #b8bca7",
".r c #b8c865",
".q c #b8c965",
"b. c #bdde25",
"aD c #bede23",
"QtQtQt.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#Qt",
"QtQt.a.b.c.d.e.e.e.e.e.e.e.e.e.e.f.g.h.#.#.#",
"Qt.#.b.i.j.k.l.m.n.o.p.q.r.s.s.t.u.v.w.#.#.#",
"Qt.#.c.j.x.y.z.A.B.C.D.E.F.G.H.I.J.K.L.#.#.#",
"Qt.#.d.M.y.N.O.P.Q.R.S.S.T.U.V.W.X.H.Y.#.#.#",
"Qt.#.e.l.Z.O.0.1.R.2.3.4.5.R.1.6.7.8.9.#.#.#",
"Qt.#.e.m.A#.###a#b#c#d#e#f#g#h#i#j#k.Y.#.#.#",
"Qt.#.e.n.B#l#i#m#n#o#p#q#r#s#t###u#v#w.#.#.#",
"Qt.#.e.o#x#y#z#c#A#B#C#D###E#F#G#i#H#I.#.#.#",
"Qt.#.e.p#J#i#K#L#M#N#O###P.F#Q#R#i#S#T.#.#.#",
"Qt.#.e.r#U.S#V#W#X#D###a#Y#Z#0#1#i#2#3.#.#.#",
"Qt.#.e.q#4.T#5#f#6###7#8#a#9a.a#aaabac.#.#.#",
"Qt.#.e.padae.Rafagahaiajak.Salamanaoap.#.#.#",
"Qt.#.eaqaras.RatauavawaxayazaAaBaCaDaE.#.#.#",
"Qt.#.e.paFaGaH.S.1aIaJaKaLaMaBaBaNaOaP.#.#.#",
"Qt.#.faQ.IaRaSaTaU#a#i.S#iaVaCaWaXaYaZ.#.#.#",
"Qt.#.g.va0a1a2a3a4a5a6a7a8a9b.b#babbbc.#.#.#",
"Qt.#.h.w.LbdbebfbgbhbibjbkblaEbmbnbobp.#.#.#",
"Qt.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#",
"Qt.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#",
"QtQt.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#",
"QtQtQt.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#Qt"};


    switch (id) {
        case image0_ID: return QPixmap((const char**)img0_codevieweroptionsbase);
        default: return QPixmap();
    } // switch
    } // icon

};

namespace Ui {
    class CodeViewerOptionsBase: public Ui_CodeViewerOptionsBase {};
} // namespace Ui

class CodeViewerOptionsBase : public QWidget, public Ui::CodeViewerOptionsBase
{
    Q_OBJECT

public:
    CodeViewerOptionsBase(QWidget* parent = 0, const char* name = 0, Qt::WindowFlags fl = 0);
    ~CodeViewerOptionsBase();

protected slots:
    virtual void languageChange();

};

#endif // CODEVIEWEROPTIONSBASE_H

